{% extends 'base.html' %}

{% block content %}

<div class="row border-bottom mx-auto">
    <div class="col-lg-12 mt-4">
        <h2>{{ post.title }}
            <b class="text-danger">
                <a onclick="like({{ post.id }})" href=""><span
                        class="like text-danger fa {% if post.like == '<3' %}fa-heart{% else %}fa-heart-o{% endif %}"></span></a>
            </b></h2>
    </div>
    <div class="col-lg-12">
        <p>{{ post.text }}</p>
    </div>
    <div class="col-lg-12 float-left mt-4">
        {% for comment in comments %}

        <div class="col-lg-8 mt-4 form-group clearfix border-bottom border-top pb-2">
            <div class="col-lg-9 float-left bor">
                <p class="text-muted">
                    Anonymous user commented:
                </p>
                <textarea class="form-control float-left" cols="30" rows="2" disabled>{{ comment.text }}</textarea>
            </div>
            <div class="col-lg-2 float-right mt-4 pt-4">
                <form class="float-right" action="{{ url('delete-comment') }}" method="post"
                      enctype="multipart/form-data">
                    <div class="form-group">
                        <input class="form-control" type="hidden" name="post_id" value="{{ post.id }}">
                        <input class="form-control" type="hidden" name="id" value="{{ comment.id }}">
                        <input class="btn btn-danger form-control" type="submit" value="Delete comment">
                    </div>
                </form>
            </div>
        </div>

        {% endfor %}
        <div class="col-lg-6 mt-4">
            <form action="{{ url('create-comment') }}" method="post" enctype="multipart/form-data">
                <div class="form-group">
                    <input class="form-control" type="hidden" name="post_id" value="{{ post.id }}">
                    <textarea class="form-control" name="text" cols="10" rows="5" placeholder="Your comment..."
                              style="resize: none"></textarea>
                    <button type="submit" class="btn btn-secondary form-control">Comment</button>
                </div>
            </form>
        </div>
    </div>
    <form action="{{ url('delete') }}" method="post" enctype="multipart/form-data" id="delete_post_form">
        <input type="hidden" value="{{ post.id }}" name="id">
    </form>
    <div class="col-lg-12 pb-4">
        <button form="delete_post_form" class="btn btn-secondary float-right">Delete</button>
        <a href="{{ url('update', query_={'id': post.id}) }}" class="btn btn-primary mr-2 float-right">Update</a>
    </div>
</div>

<script>
    let like_class = $('.like');

    function like(post_id) {
        $.ajax({
            url: '/ajax_like',
            method: 'post',
            data: {
                'post_id': post_id,
            },
            success: function (data) {
                let action_type = data.action_type;
                if (action_type === '<3') {
                    like_class.removeClass('fa-heart-o').addClass('fa-heart')
                } else {
                    like_class.removeClass('fa-heart').addClass('fa-heart-o')
                }
            }
        })
    }
</script>

{% endblock %}